For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Status
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
  • API Reference
      • GETList all detects
      • POSTCreate deepfake detection
      • GETGet deepfake detection result
      • POSTCreate a batch deepfake detection job
      • GETGet batch status
Status
LogoLogo
API ReferenceDeepfake Detection

List all detects

GET
https://app.resemble.ai/api/v2/detect
GET
/api/v2/detect
$curl -G https://app.resemble.ai/api/v2/detect \
> -H "Authorization: Bearer <token>" \
> -d page=1
200Retrieved
1{
2 "success": true,
3 "page": 1,
4 "num_pages": 1,
5 "page_size": 1,
6 "total_count": 1,
7 "items": [
8 {
9 "uuid": "string",
10 "media_type": "audio",
11 "status": "processing",
12 "metrics": {
13 "label": "fake",
14 "score": [
15 "0.9",
16 "0.8",
17 "0.7"
18 ],
19 "consistency": "0.85",
20 "aggregated_score": "0.566",
21 "image": "https://storage.example.com/heatmap.png"
22 },
23 "image_metrics": {
24 "type": "facial",
25 "label": "fake",
26 "image": "https://storage.example.com/image.png",
27 "score": 0.9,
28 "children": [
29 {}
30 ]
31 },
32 "video_metrics": {
33 "label": "Fake",
34 "score": 0.9,
35 "certainty": 0.9,
36 "children": [
37 {
38 "type": "VideoResult",
39 "conclusion": "Fake",
40 "score": 0.99,
41 "certainty": 0.9,
42 "certainty (%)": "90%",
43 "children": [
44 {
45 "type": "ImageResult",
46 "conclusion": "Fake",
47 "score": 0.9,
48 "certainty": 0.95,
49 "certainty (%)": "95%",
50 "timestamp": 0.23,
51 "children": [
52 {
53 "type": "Segment",
54 "conclusion": "Fake",
55 "score": 0.9,
56 "certainty": 0.995,
57 "certainty (%)": "99.5%"
58 }
59 ]
60 }
61 ]
62 }
63 ],
64 "treeview": "string"
65 },
66 "audio_source_tracing": {
67 "label": "string",
68 "error_message": "string"
69 },
70 "intelligence": {},
71 "url": "string",
72 "audio_url": "string",
73 "filename": "string",
74 "duration": 1.1,
75 "zero_retention_mode": true,
76 "file_deleted_at": "2024-01-15T09:30:00Z",
77 "visualize": true,
78 "audio_source_tracing_enabled": true,
79 "use_ood_detector": true,
80 "extra_params": {},
81 "error_message": "string",
82 "created_at": "2024-01-15T09:30:00Z",
83 "updated_at": "2024-01-15T09:30:00Z",
84 "pipeline": "string"
85 }
86 ]
87}
Retrieve a paginated list of all detect objects for the authenticated user's team
Was this page helpful?
Previous

Create deepfake detection

Next
Built with

Authentication

AuthorizationBearer

API token from https://app.resemble.ai/account/api

Query parameters

pageintegerRequired>=1

Page number (must be >= 1)

page_sizeintegerOptional10-1000Defaults to 10

Number of items per page (10-1000)

Response

List of detects
successboolean
pageinteger
num_pagesinteger
page_sizeinteger
total_countinteger
itemslist of objects